#!/bin/sh

if [ -f /etc/.OMRONSDN ]
then
	echo "   "
	echo "   Shutdown Daemon has been installed on this computer." 
	echo "   "
	exit 1
fi

echo "\

使用上の注意

本ソフトウェアおよび関連文書（以下 本プログラムと総称）をご使用する場合、以下の注意事項に従ってください。

1. お客様は本プログラムをどのような目的にも使用することができますが、オムロン株式会社（以下当社といいます）
   はいかなる種類の保証も行いません。こうした保証には、本プログラムに欠陥がないことの保証、商用性の保証、特
   定用途へ適合性の保証、非侵害性の保証が含まれ、かつこれらに限定されません。万一、本プログラムに何らかの欠
   陥があった場合、あるいは何らかの危害または損害をもたらした場合、当社は一切の責任を負いません。また、それ
   に応じて必要なサービス、修復、修理のコストはすべてお客様が負担するものとします。

2. 本プログラム（複製物を含む）の著作権は、当社に帰属します。

3. お客様は、本プログラムを複製することができます。ただし、その複製物には適切な著作権表示と無保証である旨を
   明確かつ適正に付記しなければなりません。

4. お客様は、次の事項を遵守することを条件に、本プログラムを変更することができます。
    (1) 適切な著作権表示を本プログラム上に明確かつ適正に表示すること。
    (2) 本プログラムを変更した場合はその旨を本プログラム上に明確かつ適正に表示すること。

5. お客様は次の事項を遵守することを条件に、本プログラムを第三者に頒布することができます。
    (1) 適切な著作権表示を本プログラム上に明確かつ適正に表示すること。
    (2) 本プログラムに変更を加えたものを頒布する場合、第４項に従って、変更した旨を本プログラム上に明確かつ適
        正に表示すること。
    (3) 本プログラムが当社より無償でダウンロードにて提供されていること、及び、その取得方法を明確に表示するこ
        と。
    (4) 当社は無保証である旨を本プログラム上に明確かつ適正に表示すること。
    (5) 本プログラムの頒布先に、本注意事項を記載し、遵守させること。

6. お客様は、何ら変更を加えていない本プログラムを有償で第三者に頒布することはできません。" > /tmp/omronlicense.txt

#cat /tmp/omronlicense.txt | more -p -d
declare -ix bContinue=1
while test $bContinue -eq 1;
do
	#echo -e "Do you agree this license? [ y/n ] \\c";
	#INFOMSG="\nSince you disagree, we shall fail to install. \n"
        #read reply </dev/tty
	reply=y 
	case "$reply" in 
		[Yy])
			bContinue=0;
			rm -f /tmp/omronlicense.txt;
			;;
		[Nn])
			bContinue=0;
			echo -e $INFOMSG;
			rm -f /tmp/omronlicense.txt;
			exit -1; 
			;;
		*)
			cat /tmp/omronlicense.txt | more -pd;
			;;
	esac
done

if [ ! -d /usr/lib/sdn ]
then
	mkdir /usr/lib/sdn
fi

if [ ! -d /usr/lib/sdn/client ]
then
	mkdir -p /usr/lib/sdn/client
fi

cp -fr client/* /usr/lib/sdn/client
echo client>/etc/.OMRONSDN
mv -f /usr/lib/sdn/client/S99sdDaemon /etc/rc.d/init.d/S99sdDaemon
/sbin/chkconfig --add S99sdDaemon
chmod -R 777 /usr/lib/sdn/client/
chmod 700 /etc/rc.d/init.d/S99sdDaemon #0316 modify
/usr/lib/sdn/client/ShutdownDaemon

echo "   "
echo "   Shutdown Daemon program has been installed completely."
echo "   Location:  /usr/lib/sdn/client/ShutdownDaemon"

exit 1
