#!/bin/sh

if [ -f /etc/.OMRONSDN ]
then
declare -ix bContinue=1
while test $bContinue -eq 1;
do
	echo " "
	echo -e "   Are you sure to uninstall Shutdown Daemon from the computer?[ y/n ] \\c" 
        read reply </dev/tty
	case "$reply" in 
		[Yy])
			bContinue=0;
			echo " "
			echo "   Stopping the ShutdownDaemon......" 
			#/usr/lib/sdn/master/AgentManager stop 2>/dev/null
			sleep 2;
			killall -9 ShutdownDaemon 2>/dev/null
			rm -fr /usr/lib/sdn/
			rm -f /etc/.OMRONSDN
			/sbin/chkconfig --del S99sdDaemon
			rm -f /etc/rc.d/init.d/S99sdDaemon 2>&1 >/dev/null
			echo " "
			echo -e "   Shutdown Daemon has been uninstalled from the computer." 
			echo " "
			exit 0;
			;;
		[Nn])
			bContinue=0;
			exit -1; 
			;;
		*)
			echo ""
			echo "   Wrong input, try again..."
			echo ""
			;;
	esac
done
fi

exit 1
